# -*- coding: utf-8 -*-

# mapWOC
#
# Description: Setup.py to help the debian packaging magic work.
#
# Copyright:
# Copyright (C) 2011 Bundesamt für Sicherheit in der Informationstechnik
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or, at your option, any later version as published by the Free
# Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

from distutils.core import setup

scripts = ['mapwoc/masterctrl/mapwoc-master',
           'mapwoc/nodectrl/mapwoc-node',
           'mapwoc/redirector/mapwoc-redirector',
           'analyser/src/mapwocanalyse.pl']

packages = ['mapwoc.lib',
            'mapwoc.lib.model',
            'mapwoc.masterctrl',
            'mapwoc.nodectrl',
            'mapwoc.redirector']

# Additional files.
data_files = [
              # Perl modules.
              ('/usr/lib/perl5/MapWOCAnalyser/',['analyser/src/lib/MapWOCAnalyser/MapWOCAnalyser.pm']),
              ('/usr/lib/perl5/MapWOCAnalyser/',['analyser/src/lib/MapWOCAnalyser/XML.pm']),
              # (Dummy) configuration files.
              ('/etc/mapwoc/', ['analyser/src/antivir.cfg', 'conffiles/mapwoc-master.config', 'conffiles/mapwoc-node.config', 'conffiles/mapwoc-redirector.config']),
              # Man pages for tools.
              ('/usr/share/man/man1/', ['doc/man/mapwoc-node.1.gz', 'doc/man/mapwoc-master.1.gz', 'doc/man/mapwoc-redirector.1.gz']),
              # Man pages for config files.
              ('/usr/share/man/man5/', ['doc/man/mapwoc-node.config.5.gz', 'doc/man/mapwoc-master.config.5.gz', 'doc/man/mapwoc-redirector.config.5.gz']),
              # Native gate and mitmproxy script.
              ('/usr/lib/mapwoc/', ['mapwoc/nodectrl/dumper_native_hc.sh', 'proxy/mapwoc_redirect_script']),
             ]

setup(name='mapwoc',
      author='Felix Wolfsteller', # Package Author
      author_email='felix.wolfsteller@intevation.de',
      description="Package for mapwoc, the Massive Automated Passive"
                  " Web Observation Center",
      packages=packages,
      scripts=scripts,
      data_files=data_files,
      version='0.9.0',
      url='http://www.mapwoc.org',
      license="GPL"
      )
